linux-kernel.vger.kernel.org archive mirror
 help / color / mirror / Atom feed
From: Arnaldo Carvalho de Melo <acme@infradead.org>
To: Ingo Molnar <mingo@kernel.org>
Cc: linux-kernel@vger.kernel.org,
	Irina Tirdea <irina.tirdea@intel.com>,
	David Ahern <dsahern@gmail.com>, Ingo Molnar <mingo@redhat.com>,
	Namhyung Kim <namhyung.kim@lge.com>,
	Paul Mackerras <paulus@samba.org>,
	Peter Zijlstra <a.p.zijlstra@chello.nl>,
	Steven Rostedt <rostedt@goodmis.org>,
	Arnaldo Carvalho de Melo <acme@redhat.com>
Subject: [PATCH 10/18] perf archive: Remove -f from the rm command
Date: Mon, 17 Sep 2012 14:18:04 -0300	[thread overview]
Message-ID: <1347902292-14536-11-git-send-email-acme@infradead.org> (raw)
In-Reply-To: <1347902292-14536-1-git-send-email-acme@infradead.org>

From: Irina Tirdea <irina.tirdea@intel.com>

In Android, rm does not support the -f parameter.

Remove -f from rm and make sure rm does not fail even if the files to be
removed are not found.

Signed-off-by: Irina Tirdea <irina.tirdea@intel.com>
Cc: David Ahern <dsahern@gmail.com>
Cc: Ingo Molnar <mingo@redhat.com>
Cc: Namhyung Kim <namhyung.kim@lge.com>
Cc: Paul Mackerras <paulus@samba.org>
Cc: Peter Zijlstra <a.p.zijlstra@chello.nl>
Cc: Steven Rostedt <rostedt@goodmis.org>
Link: http://lkml.kernel.org/r/1347574063-22521-4-git-send-email-irina.tirdea@intel.com
Signed-off-by: Arnaldo Carvalho de Melo <acme@redhat.com>
---
 tools/perf/perf-archive.sh |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/tools/perf/perf-archive.sh b/tools/perf/perf-archive.sh
index 95b6f8b..da94179 100644
--- a/tools/perf/perf-archive.sh
+++ b/tools/perf/perf-archive.sh
@@ -24,7 +24,7 @@ NOBUILDID=0000000000000000000000000000000000000000
 perf buildid-list -i $PERF_DATA --with-hits | grep -v "^$NOBUILDID " > $BUILDIDS
 if [ ! -s $BUILDIDS ] ; then
 	echo "perf archive: no build-ids found"
-	rm -f $BUILDIDS
+	rm $BUILDIDS || true
 	exit 1
 fi
 
@@ -40,7 +40,7 @@ while read build_id ; do
 done
 
 tar cfj $PERF_DATA.tar.bz2 -C $PERF_BUILDID_DIR -T $MANIFEST
-rm -f $MANIFEST $BUILDIDS
+rm $MANIFEST $BUILDIDS || true
 echo -e "Now please run:\n"
 echo -e "$ tar xvf $PERF_DATA.tar.bz2 -C ~/.debug\n"
 echo "wherever you need to run 'perf report' on."
-- 
1.7.1


  parent reply	other threads:[~2012-09-17 17:22 UTC|newest]

Thread overview: 18+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
     [not found] <1347902292-14536-1-git-send-email-acme@infradead.org>
2012-09-17 17:17 ` [PATCH 01/18] perf probe: Add union member access support Arnaldo Carvalho de Melo
2012-09-17 17:17 ` [PATCH 02/18] perf test: Fixup for the die() removal Arnaldo Carvalho de Melo
2012-09-17 17:17 ` [PATCH 03/18] perf sched: " Arnaldo Carvalho de Melo
2012-09-17 17:17 ` [PATCH 04/18] tools lib traceevent: Define _GNU_SOURCE in Makefile Arnaldo Carvalho de Melo
2012-09-17 17:17 ` [PATCH 05/18] perf hists browser: Fix output for 100.00% Arnaldo Carvalho de Melo
2012-09-17 17:18 ` [PATCH 06/18] perf hists browser: Fix first column printing Arnaldo Carvalho de Melo
2012-09-17 17:18 ` [PATCH 07/18] perf tools: Add sort__has_sym Arnaldo Carvalho de Melo
2012-09-17 17:18 ` [PATCH 08/18] perf report: Enable integrated annotation only if possible Arnaldo Carvalho de Melo
2012-09-17 17:18 ` [PATCH 09/18] perf stat: Move stats related code to util/stat.c Arnaldo Carvalho de Melo
2012-09-17 17:18 ` Arnaldo Carvalho de Melo [this message]
2012-09-17 17:18 ` [PATCH 11/18] perf archive: Make 'f' the last parameter for tar Arnaldo Carvalho de Melo
2012-09-17 17:18 ` [PATCH 12/18] perf symbols: Filter samples with unresolved symbol when "--symbols" option is used Arnaldo Carvalho de Melo
2012-09-17 17:18 ` [PATCH 13/18] perf scripts: Add --symbols option to handle specific symbols Arnaldo Carvalho de Melo
2012-09-17 17:18 ` [PATCH 14/18] perf scripts: Add event_analyzing_sample-record/report Arnaldo Carvalho de Melo
2012-09-17 17:18 ` [PATCH 15/18] perf scripts: Export a find_scripts() function Arnaldo Carvalho de Melo
2012-09-17 17:18 ` [PATCH 16/18] perf report: Add missing perf_hpp__init for pipe-mode Arnaldo Carvalho de Melo
2012-09-17 17:18 ` [PATCH 17/18] perf/x86: Add cpumask for uncore pmu Arnaldo Carvalho de Melo
2012-09-17 17:18 ` [PATCH 18/18] perf stat: Check PMU cpumask file Arnaldo Carvalho de Melo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1347902292-14536-11-git-send-email-acme@infradead.org \
    --to=acme@infradead.org \
    --cc=a.p.zijlstra@chello.nl \
    --cc=acme@redhat.com \
    --cc=dsahern@gmail.com \
    --cc=irina.tirdea@intel.com \
    --cc=linux-kernel@vger.kernel.org \
    --cc=mingo@kernel.org \
    --cc=mingo@redhat.com \
    --cc=namhyung.kim@lge.com \
    --cc=paulus@samba.org \
    --cc=rostedt@goodmis.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).